feature_dir=clip_feat
ENCODER=$1
SHOT=$2  # 1, 2, 4, 8, 16

for DATASET in ImageNet21K # ImageNet21K ImageNet
do
    python mlp.py \
    --dataset ${DATASET} \
    --encoder ${ENCODER} \
    --feature_dir ${feature_dir} \
    --num_step 8 \
    --num_run 1 \
    --num_shot ${SHOT}
done

# sh mlp.sh rn50 1
# sh mlp.sh vit_b32 1
# sh mlp.sh vit_b16 1